Vulnerabilità: CVE-2020-7777

Questo riguarda tutte le versioni di pacchetto jsen. Se un utente malintenzionato può controllare il file di schema, potrebbe eseguire codice JavaScript arbitrario sul computer della vittima. Nella descrizione del modulo e il file README non v’è alcuna menzione circa i rischi di file di schema non attendibili, quindi immagino che questo è applicabile. In particolare, il campo richiesto dello schema non viene validato correttamente. La stringa risultante che è costruita sulla base della definizione dello schema viene poi passato ad un Function.apply () ;, che porti ad un’esecuzione di codice arbitrario.


https://github.com/bugventure/jsen/blob/master/lib/jsen.js%23L875
https://github.com/bugventure/jsen/blob/master/lib/jsen.js%23L875
https://snyk.io/vuln/SNYK-JS-JSEN-1014670
https://snyk.io/vuln/SNYK-JS-JSEN-1014670
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-7777


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi